# Functions

## `prefix_route([user])`

This function tries to find a route from the user part of the request URI (if no parameter is provided), or from the value of the parameter. The parameter can contain config variables.

If a route is found, it will be used for further processing. Otherwise the function will return false.

### prefix_route() usage

    ...
      if (!prefix_route()) {
          xlog("L_ERR", "prefix_route(): no matching routes\n");
      }
    ...
      if (!prefix_route("$fU")) {
          xlog("L_ERR", "prefix_route(): no matching routes\n");
      }

    ...